Loading...
Searching...
No Matches
cnanovdb_node0F Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes

cnanovdb_coord | mBBox_min
uint8_t | mBBoxDif [3]
uint8_t | mFlags
cnanovdb_mask3 | mValueMask
float | mMinimum
float | mMaximum
float | mAverage
float | mStdDevi
uint32_t | _reserved [(-(sizeof(cnanovdb_mask3)+2 *sizeof(float)+2 *sizeof(float)+sizeof(cnanovdb_coord)+sizeof(uint8_t[3])+sizeof(uint8_t)) &((32) -1))/4]
float | mVoxels [1u<<(3 *3)]

## Member Data Documentation

## _reserved

uint32_t _reserved[(-(sizeof(cnanovdb_mask3)+2 *sizeof(float)+2 *sizeof(float)+sizeof(cnanovdb_coord)+sizeof(uint8_t[3])+sizeof(uint8_t)) &((32) -1))/4]

## mAverage

float mAverage

## mBBox_min

cnanovdb_coord mBBox_min

## mBBoxDif

uint8_t mBBoxDif[3]

## mFlags

uint8_t mFlags

## mMaximum

float mMaximum

## mMinimum

float mMinimum

## mStdDevi

float mStdDevi

## mValueMask

cnanovdb_mask3 mValueMask

## mVoxels

float mVoxels[1u<<(3 *3)]